package body MSHTML.HTMLWindowEvents_Object is

   procedure onload
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onload);
   end onload;

   procedure onunload
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onunload);
   end onunload;

   function onhelp
     (This : HTMLWindowEvents_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, HTMLWindowEvents_onhelp);
   end onhelp;

   procedure onfocus
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onfocus);
   end onfocus;

   procedure onblur
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onblur);
   end onblur;

   procedure onerror
     (This        : HTMLWindowEvents_Type;
      description : GNATCOM.Types.VARIANT;
      url         : GNATCOM.Types.VARIANT;
      line        : GNATCOM.Types.VARIANT;
      Free        : Boolean := True)
   is
   begin
      Invoke
        (This,
         HTMLWindowEvents_onerror,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => line,
          2 => url,
          3 => description),
         Free);
   end onerror;

   procedure onresize
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onresize);
   end onresize;

   procedure onscroll
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onscroll);
   end onscroll;

   procedure onbeforeunload
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onbeforeunload);
   end onbeforeunload;

   procedure onbeforeprint
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onbeforeprint);
   end onbeforeprint;

   procedure onafterprint
     (This : HTMLWindowEvents_Type)
   is
   begin
      Invoke (This, HTMLWindowEvents_onafterprint);
   end onafterprint;

end MSHTML.HTMLWindowEvents_Object;

